
QGIS Application - Bug report #12652

marker rotation and polygon containing rings

2015-04-27 12:55 AM - Bernhard Ströbl

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20765

Description

I want to style a polygon so that black triangles face inside the polygon. That works ok but as soon as the polygon contains a ring the

triangles' base faces inside (see screenshot).

Associated revisions

Revision 73d0ced5 - 2018-11-09 10:06 AM - Nyall Dawson

[FEATURE] Add option to force right-hand-rule during polygon symbol rendering

This new option, available under the "Advanced" button for fill symbols,

allows forcing rendered polygons to follow the standard "right hand

rule" for ring orientation (where exterior ring is clockwise, and

interior rings are all counter-clockwise).

The orientation fix is applied while rendering only, and the original

feature geometry is unchanged.

This allows for creation of fill symbols with consistent appearance,

regardless of the dataset being rendered and the ring orientation

of individual features.

Refs #12652

Revision 30214538 - 2018-11-09 10:06 AM - Nyall Dawson

[FEATURE] Add option to simple line and marker line to only

render exterior ring or interior rings

This option is shown whenever a simple line symbol or

marker line symbol is used as part of a fill symbol for

rendering polygons.

The default behavior is to render both interior and exterior

rings, but this new setting allows users to set the symbol

layer to render only for the exterior ring OR only

for interior rings.

This allows for symbolisation which wasn't directly possible
before, such as a marker line with markers for interior

rings angled toward the interior of the polygon.

Sponsored by the German QGIS User Group

Fixes #12652

Revision 50cbb295 - 2018-12-02 09:16 PM - Nyall Dawson

[FEATURE] Add option to force right-hand-rule during polygon symbol rendering

This new option, available under the "Advanced" button for fill symbols,

allows forcing rendered polygons to follow the standard "right hand

rule" for ring orientation (where exterior ring is clockwise, and

interior rings are all counter-clockwise).

The orientation fix is applied while rendering only, and the original

feature geometry is unchanged.

This allows for creation of fill symbols with consistent appearance,

regardless of the dataset being rendered and the ring orientation

of individual features.

Refs #12652

(cherry picked from commit 8269031cc61bf813574bb2f2019bd0b23f58ffcf)

Revision a5b969f2 - 2018-12-02 09:16 PM - Nyall Dawson

[FEATURE] Add option to simple line and marker line to only

render exterior ring or interior rings

This option is shown whenever a simple line symbol or

marker line symbol is used as part of a fill symbol for

rendering polygons.

The default behavior is to render both interior and exterior

rings, but this new setting allows users to set the symbol

layer to render only for the exterior ring OR only

for interior rings.

This allows for symbolisation which wasn't directly possible

before, such as a marker line with markers for interior

rings angled toward the interior of the polygon.

Sponsored by the German QGIS User Group

Fixes #12652

(cherry picked from commit 4c9537ee64b01e45890c3c1dac596063812276ae)
History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-10-30 04:33 PM - Bernhard Ströbl

Current workaround is to use a geometry generator with an expression that returns the polygon boundarys as lines:

 line_merge(segments_to_lines($geometry))

#3 - 2018-11-09 10:06 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|30214538c2ddf853939a9ff3d0cd083938b6e823.

Files

screenshot.png 15.5 KB 2015-04-26 Bernhard Ströbl
